pcl::io::ply::ply_parser::scalar_property_definition_callback_type< ScalarType > Struct Template Reference

`#include <pcl/io/ply/ply_parser.h>`

## Public Types

typedef scalar_property_callback_type< ScalarType >::type | scalar_property_callback_type
typedef boost::function< scalar_property_callback_type(const std::string &, const std::string &)> | type

## Detailed Description

### template<typename ScalarType>
struct pcl::io::ply::ply_parser::scalar_property_definition_callback_type< ScalarType >

Definition at line 108 of file ply_parser.h.

## Member Typedef Documentation

template<typename ScalarType>

typedef scalar_property_callback_type<ScalarType>::type pcl::io::ply::ply_parser::scalar_property_definition_callback_type< ScalarType >::scalar_property_callback_type

Definition at line 110 of file ply_parser.h.

template<typename ScalarType>

typedef boost::function<scalar_property_callback_type (const std::string&, const std::string&)> pcl::io::ply::ply_parser::scalar_property_definition_callback_type< ScalarType >::type

Definition at line 111 of file ply_parser.h.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/io/include/pcl/io/ply/ply_parser.h